* [gentoo-commits] repo/gentoo:master commit in: net-vpn/gsocket/
@ 2024-05-29 14:39 Florian Schmaus
0 siblings, 0 replies; 4+ messages in thread
From: Florian Schmaus @ 2024-05-29 14:39 UTC (permalink / raw
To: gentoo-commits
commit: 46965e05331d365c042343c20afc9d325d924fea
Author: Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Wed May 29 14:38:44 2024 +0000
Commit: Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Wed May 29 14:39:12 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=46965e05
net-vpn/gsocket: enable tests
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>
net-vpn/gsocket/gsocket-1.4.43.ebuild | 26 ++++++++++++++++++++++++--
net-vpn/gsocket/gsocket-9999.ebuild | 26 ++++++++++++++++++++++++--
2 files changed, 48 insertions(+), 4 deletions(-)
diff --git a/net-vpn/gsocket/gsocket-1.4.43.ebuild b/net-vpn/gsocket/gsocket-1.4.43.ebuild
index f6f2c998560e..39e124344a92 100644
--- a/net-vpn/gsocket/gsocket-1.4.43.ebuild
+++ b/net-vpn/gsocket/gsocket-1.4.43.ebuild
@@ -19,8 +19,18 @@ fi
LICENSE="BSD-2"
SLOT="0"
-DEPEND="dev-libs/openssl:="
-RDEPEND="${DEPEND}"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+COMMON_DEPEND="dev-libs/openssl:="
+DEPEND="
+ ${COMMON_DEPEND}
+ test? (
+ net-analyzer/netcat
+ net-misc/socat
+ )
+"
+RDEPEND="${COMMON_DEPEND}"
PATCHES=(
# https://github.com/hackerschoice/gsocket/pull/104
@@ -38,6 +48,18 @@ src_prepare() {
eautoreconf
}
+src_configure() {
+ econf $(use_enable test tests)
+}
+
+src_test() {
+ cd tests || die
+
+ ./run_ft_tests.sh || die
+ # Most of the "gs_tests" seem to fail (probably due the sandbox).
+ ./run_gs_tests.sh 4.1 || die
+}
+
src_install() {
default
diff --git a/net-vpn/gsocket/gsocket-9999.ebuild b/net-vpn/gsocket/gsocket-9999.ebuild
index f6f2c998560e..39e124344a92 100644
--- a/net-vpn/gsocket/gsocket-9999.ebuild
+++ b/net-vpn/gsocket/gsocket-9999.ebuild
@@ -19,8 +19,18 @@ fi
LICENSE="BSD-2"
SLOT="0"
-DEPEND="dev-libs/openssl:="
-RDEPEND="${DEPEND}"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+COMMON_DEPEND="dev-libs/openssl:="
+DEPEND="
+ ${COMMON_DEPEND}
+ test? (
+ net-analyzer/netcat
+ net-misc/socat
+ )
+"
+RDEPEND="${COMMON_DEPEND}"
PATCHES=(
# https://github.com/hackerschoice/gsocket/pull/104
@@ -38,6 +48,18 @@ src_prepare() {
eautoreconf
}
+src_configure() {
+ econf $(use_enable test tests)
+}
+
+src_test() {
+ cd tests || die
+
+ ./run_ft_tests.sh || die
+ # Most of the "gs_tests" seem to fail (probably due the sandbox).
+ ./run_gs_tests.sh 4.1 || die
+}
+
src_install() {
default
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-vpn/gsocket/
@ 2024-06-22 17:38 Florian Schmaus
0 siblings, 0 replies; 4+ messages in thread
From: Florian Schmaus @ 2024-06-22 17:38 UTC (permalink / raw
To: gentoo-commits
commit: 1d925484d99fb22c8f5191cea8cc32a8e28958b6
Author: Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 22 17:37:44 2024 +0000
Commit: Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Sat Jun 22 17:37:55 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d925484
net-vpn/gsocket: stabilize 1.4.43 for amd64
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>
net-vpn/gsocket/gsocket-1.4.43.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/net-vpn/gsocket/gsocket-1.4.43.ebuild b/net-vpn/gsocket/gsocket-1.4.43.ebuild
index 39e124344a92..cf52e0c79b0d 100644
--- a/net-vpn/gsocket/gsocket-1.4.43.ebuild
+++ b/net-vpn/gsocket/gsocket-1.4.43.ebuild
@@ -13,7 +13,7 @@ if [[ ${PV} == 9999 ]]; then
EGIT_REPO_URI="https://github.com/hackerschoice/gsocket.git"
else
SRC_URI="https://github.com/hackerschoice/gsocket/archive/v${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64 ~arm64 ~riscv"
+ KEYWORDS="amd64 ~arm64 ~riscv"
fi
LICENSE="BSD-2"
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-vpn/gsocket/
@ 2024-11-22 18:58 Florian Schmaus
0 siblings, 0 replies; 4+ messages in thread
From: Florian Schmaus @ 2024-11-22 18:58 UTC (permalink / raw
To: gentoo-commits
commit: a09b7ff8817f3b6cb8898d6786fc0fc2e3637205
Author: Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 22 18:53:03 2024 +0000
Commit: Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Fri Nov 22 18:58:39 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a09b7ff8
net-vpn/gsocket: sync live
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>
net-vpn/gsocket/gsocket-9999.ebuild | 1 +
1 file changed, 1 insertion(+)
diff --git a/net-vpn/gsocket/gsocket-9999.ebuild b/net-vpn/gsocket/gsocket-9999.ebuild
index 39e124344a92..74426aaafe23 100644
--- a/net-vpn/gsocket/gsocket-9999.ebuild
+++ b/net-vpn/gsocket/gsocket-9999.ebuild
@@ -64,4 +64,5 @@ src_install() {
default
systemd_dounit examples/systemd-root-shell/gs-root-shell.service
+ systemd_dounit "${FILESDIR}"/gs-socks-proxy.service
}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-vpn/gsocket/
@ 2025-01-18 10:52 Florian Schmaus
0 siblings, 0 replies; 4+ messages in thread
From: Florian Schmaus @ 2025-01-18 10:52 UTC (permalink / raw
To: gentoo-commits
commit: 6a3e0c4ecad6641a110353e1ce43960e41204969
Author: Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 18 10:49:09 2025 +0000
Commit: Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Sat Jan 18 10:51:32 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a3e0c4e
net-vpn/gsocket: stabilize 1.4.43-r1 for amd64
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>
net-vpn/gsocket/gsocket-1.4.43-r1.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/net-vpn/gsocket/gsocket-1.4.43-r1.ebuild b/net-vpn/gsocket/gsocket-1.4.43-r1.ebuild
index 74426aaafe23..450fb65d37c4 100644
--- a/net-vpn/gsocket/gsocket-1.4.43-r1.ebuild
+++ b/net-vpn/gsocket/gsocket-1.4.43-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2023-2024 Gentoo Authors
+# Copyright 2023-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -13,7 +13,7 @@ if [[ ${PV} == 9999 ]]; then
EGIT_REPO_URI="https://github.com/hackerschoice/gsocket.git"
else
SRC_URI="https://github.com/hackerschoice/gsocket/archive/v${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64 ~arm64 ~riscv"
+ KEYWORDS="amd64 ~arm64 ~riscv"
fi
LICENSE="BSD-2"
^ permalink raw reply related [flat|nested] 4+ messages in thread
end of thread, other threads:[~2025-01-18 10:52 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-06-22 17:38 [gentoo-commits] repo/gentoo:master commit in: net-vpn/gsocket/ Florian Schmaus
-- strict thread matches above, loose matches on Subject: below --
2025-01-18 10:52 Florian Schmaus
2024-11-22 18:58 Florian Schmaus
2024-05-29 14:39 Florian Schmaus
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox